[![Black Logo](https://raw.githubusercontent.com/psf/black/main/docs/_static/logo2-readme.png)](https://black.readthedocs.io/en/stable/)

## Objective

Run [Black](https://github.com/psf/black) on your Python code to ensure it complies with the coding
style guide.

## How to use it

1. Create a [python package](https://packaging.python.org/en/latest/tutorials/packaging-projects/).
2. Include template in your CI/CD conf (see quick use above)
3. Customize the template if it's relevant

## Variables

| Name                      | Description                                                                                            | Default |
|---------------------------|--------------------------------------------------------------------------------------------------------|---------|
| `OPTIONAL_DEPENDENCY_TAG` | If `black` is listed as a main dependency, leave variable empty, otherwise fill it with `[<TAGNAME>]`. | `""` |

## Add <a href="https://github.com/psf/black"><img alt="Code style: black" src="https://img.shields.io/badge/code%20style-black-000000.svg"></a> cartouche to your project README.md
```markdown
<a href="https://github.com/psf/black">
    <img alt="Code style: black" src="https://img.shields.io/badge/code%20style-black-000000.svg">
</a>
```